> ## Name

> cgGLIsProfileSupported - determine if a profile is supported by cgGL

> ## Synopsis

>     #include <Cg/cgGL.h>

>     CGbool cgGLIsProfileSupported( CGprofile profile );

> ## Parameters

> profile
>   The profile which will be checked for support.

> ## Return Values

> Returns CG_TRUE if profile is supported by the cgGL library.

> Returns CG_FALSE otherwise.

> ## Description

> cgGLIsProfileSupported returns CG_TRUE if the profile indicated by profile is supported by the cgGL library. A profile may not be supported if required OpenGL extensions are not available.

> ## Examples

> to-be-written

> ## Errors

> None.

> ## History

> cgGLIsProfileSupported was introduced in Cg 1.1.

> ## See Also

> cgGLEnableProfile, cgGLDisableProfile